Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source.transform
Class LoadAllSourceFilesTransformer

    java.lang.Object
      org.apache.torque.generator.source.transform.LoadAllSourceFilesTransformer

All Implemented Interfaces:
  SourceTransformer

    public class LoadAllSourceFilesTransformer

extends Object
implements SourceTransformer

A SourceTransformer which loads all sources which are defined in the current output into the source graph. The sources are added into new created element. If such elements already exists in the defined, generation is skipped (preventing an infinite loop).

Version:
  $Id: LoadAllSourceFilesTransformer.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`LoadAllSourceFilesTransformer()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAddTo()` Returns the path to the source element to where the new elements are added.
`String` | `getNewElement()` Returns the name of the new element(s) into which a loaded source is added / the loaded sources are added.
`int` | `hashCode()`
`boolean` | `isCombineSources()` Returns whether all sources are be loaded into one new Element.
`void` | `setAddTo(String addTo)` Sets the path to the source element to where the new elements are added.
`void` | `setCombineSources(boolean combineSources)` Sets whether all sources are be loaded into one new Element.
`void` | `setNewElement(String newElement)` Sets the name of the new element(s) into which a loaded source is added / the loaded sources are added.
`SourceElement` | `transform(SourceElement root, ControllerState controllerState)` Loads the additional source into the current source graph.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadAllSourceFilesTransformer

    public LoadAllSourceFilesTransformer()

Method Detail

### transform

    public SourceElement transform(SourceElement root,
                                   ControllerState controllerState)
                            throws SourceTransformerException

  Loads the additional source into the current source graph.

  Specified by:
    `transform` in interface `SourceTransformer`
  Parameters:
    `root` - the root of the source graph, not null.
    `controllerState` - the controller state, not null.
  Returns:
    the root element of the transformed source tree, not null.
  Throws:
    `SourceTransformerException` - if the additional source cannot be loaded or the element to add to does not exist.

### getAddTo

    public String getAddTo()

  Returns the path to the source element to where the new elements are added. This element must already exist.

  Returns:
    the path to the anchor element.

### setAddTo

    public void setAddTo(String addTo)

  Sets the path to the source element to where the new elements are added. This element must already exist.

  Parameters:
    `addTo` - the path to the anchor element.

### getNewElement

    public String getNewElement()

  Returns the name of the new element(s) into which a loaded source is added / the loaded sources are added.

  Returns:
    the name of the new element.

### setNewElement

    public void setNewElement(String newElement)

  Sets the name of the new element(s) into which a loaded source is added / the loaded sources are added.

  Parameters:
    `newElement` - the name of the new element.

### isCombineSources

    public boolean isCombineSources()

  Returns whether all sources are be loaded into one new Element. If false, a new element is created for every source.

  Returns:
    whether all sources are be loaded into one new Element.

### setCombineSources

    public void setCombineSources(boolean combineSources)

  Sets whether all sources are be loaded into one new Element. If false, a new element is created for every source.

  Parameters:
    `combineSources` - whether all sources are be loaded into one new Element.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.